Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg
Interface RemoteConfigurationMail

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteConfigurationMail

extends java.rmi.Remote

This interface define methods to manage mail configuration of server.

Method Summary
`boolean` | `getAuthentication()` Return true if requires authentication mail, otherwise return false.
`int` | `getDefaultMailFormat()` Return the mail format send out.
`boolean` | `getEnableCompress()` Return true if compress mail, otherwise return false.
`java.lang.String` | `getMailBox()` Return the mail form address.
`java.util.Vector` | `getMailFormats()` Return the all mail formats .
`int` | `getMailPort()` Return the smtp mail server 's port.
`java.lang.String` | `getMailServer()` Return the smtp mail server 's name.
`int` | `getMaxMailPage()` Get the mail's maximum page
`int` | `getMaxMailSize()` Get the mail's maximum size
`int` | `getSplitBy()` Get the split PDF by size or page
`void` | `setAuthentication(boolean isEnable)` Set if requires authentication mail.
`void` | `setEnableCompress(boolean isEnable)` Set if compress mail.
`void` | `setMailBox(java.lang.String mailBox)` set the mail form address.
`void` | `setMailFormat(int mailFormat)` Set the mail format send out.
`void` | `setMailPort(int port)` set the smtp mail server 's port.
`void` | `setMailServer(java.lang.String smtpServerName)` set the smtp mail server 's name .
`void` | `setMaxMailPage(int page)` Set the mail's maximum page
`void` | `setMaxMailSize(int size)` Set the mail's maximum size
`void` | `setSplitBy(int split)` Set split PDF by size or page

Method Detail

### setMailServer

    void setMailServer(java.lang.String smtpServerName)
                       throws java.rmi.RemoteException

  set the smtp mail server 's name .

  Parameters:
    `smtpServerName` - the smtp mail server 's name.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getMailServer

    java.lang.String getMailServer()
                                   throws java.rmi.RemoteException

  Return the smtp mail server 's name.

  Returns:
    the smtp mail server 's name.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setMailPort

    void setMailPort(int port)
                     throws java.rmi.RemoteException

  set the smtp mail server 's port.

  Parameters:
    `port` - the smtp mail server 's port.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getMailPort

    int getMailPort()
                    throws java.rmi.RemoteException

  Return the smtp mail server 's port.

  Returns:
    the smtp mail server 's port.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setMailBox

    void setMailBox(java.lang.String mailBox)
                    throws java.rmi.RemoteException

  set the mail form address.

  Parameters:
    `mailBox` - the mail form address.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getMailBox

    java.lang.String getMailBox()
                                throws java.rmi.RemoteException

  Return the mail form address.

  Returns:
    the mail form address.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setMailFormat

    void setMailFormat(int mailFormat)
                       throws java.rmi.RemoteException

  Set the mail format send out.

  Parameters:
    `mailFormat` - the mail format send out.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getDefaultMailFormat

    int getDefaultMailFormat()
                             throws java.rmi.RemoteException

  Return the mail format send out.

  Returns:
    the mail format send out.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getMailFormats

    java.util.Vector getMailFormats()
                                    throws java.rmi.RemoteException

  Return the all mail formats .

  Returns:
    vector which all the mail format .
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setEnableCompress

    void setEnableCompress(boolean isEnable)
                           throws java.rmi.RemoteException

  Set if compress mail.

  Parameters:
    `isEnable` - if compress mail.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getEnableCompress

    boolean getEnableCompress()
                              throws java.rmi.RemoteException

  Return true if compress mail, otherwise return false.

  Returns:
    if compress mail.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setMaxMailSize

    void setMaxMailSize(int size)
                        throws java.rmi.RemoteException

  Set the mail's maximum size

  Parameters:
    `size` - the mail's maximum size
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getMaxMailSize

    int getMaxMailSize()
                       throws java.rmi.RemoteException

  Get the mail's maximum size

  Returns:
    the mail's maximum size
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setMaxMailPage

    void setMaxMailPage(int page)
                        throws java.rmi.RemoteException

  Set the mail's maximum page

  Parameters:
    `page` - the mail's maximum page
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getMaxMailPage

    int getMaxMailPage()
                       throws java.rmi.RemoteException

  Get the mail's maximum page

  Returns:
    the mail's maximum page
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setSplitBy

    void setSplitBy(int split)
                    throws java.rmi.RemoteException

  Set split PDF by size or page

  Parameters:
    `split` - indicates split PDF by size or page
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getSplitBy

    int getSplitBy()
                   throws java.rmi.RemoteException

  Get the split PDF by size or page

  Returns:
    split PDF by size or page
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setAuthentication

    void setAuthentication(boolean isEnable)
                           throws java.rmi.RemoteException

  Set if requires authentication mail.

  Parameters:
    `isEnable` - if requires authentication mail.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getAuthentication

    boolean getAuthentication()
                              throws java.rmi.RemoteException

  Return true if requires authentication mail, otherwise return false.

  Returns:
    if requires authentication mail.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD